// kafka-connector options: START
[[camel-websocket-kafka-connector-sink]]
= camel-websocket-kafka-connector sink configuration

When using camel-websocket-kafka-connector as sink make sure to use the following Maven dependency to have support for the connector:

[source,xml]
----
<dependency>
  <groupId>org.apache.camel.kafkaconnector</groupId>
  <artifactId>camel-websocket-kafka-connector</artifactId>
  <version>x.x.x</version>
  <!-- use the same version as your Camel Kafka connector version -->
</dependency>
----

To use this Sink connector in Kafka connect you'll need to set the following connector.class

[source,java]
----
connector.class=org.apache.camel.kafkaconnector.websocket.CamelWebsocketSinkConnector
----


The camel-websocket sink connector supports 31 options, which are listed below.



[width="100%",cols="2,5,^1,1,1",options="header"]
|===
| Name | Description | Default | Required | Priority
| *camel.sink.path.host* | The hostname. The default value is 0.0.0.0. Setting this option on the component will use the component configured value as default. | "0.0.0.0" | false | MEDIUM
| *camel.sink.path.port* | The port number. The default value is 9292. Setting this option on the component will use the component configured value as default. | "9292" | false | MEDIUM
| *camel.sink.path.resourceUri* | Name of the websocket channel to use | null | true | HIGH
| *camel.sink.endpoint.maxBinaryMessageSize* | Can be used to set the size in bytes that the websocket created by the websocketServlet may be accept before closing. (Default is -1 - or unlimited) | "-1" | false | MEDIUM
| *camel.sink.endpoint.lazyStartProducer* | Whether the producer should be started lazy (on the first message). By starting lazy you can use this to allow CamelContext and routes to startup in situations where a producer may otherwise fail during starting and cause the route to fail being started. By deferring this startup to be lazy then the startup failure can be handled during routing messages via Camel's routing error handlers. Beware that when the first message is processed then creating and starting the producer may take a little time and prolong the total processing time of the processing. | false | false | MEDIUM
| *camel.sink.endpoint.sendTimeout* | Timeout in millis when sending to a websocket channel. The default timeout is 30000 (30 seconds). | "30000" | false | MEDIUM
| *camel.sink.endpoint.sendToAll* | To send to all websocket subscribers. Can be used to configure on endpoint level, instead of having to use the WebsocketConstants.SEND_TO_ALL header on the message. | null | false | MEDIUM
| *camel.sink.endpoint.basicPropertyBinding* | Whether the endpoint should use basic property binding (Camel 2.x) or the newer property binding with additional capabilities | false | false | MEDIUM
| *camel.sink.endpoint.bufferSize* | Set the buffer size of the websocketServlet, which is also the max frame byte size (default 8192) | "8192" | false | MEDIUM
| *camel.sink.endpoint.maxIdleTime* | Set the time in ms that the websocket created by the websocketServlet may be idle before closing. (default is 300000) | "300000" | false | MEDIUM
| *camel.sink.endpoint.maxTextMessageSize* | Can be used to set the size in characters that the websocket created by the websocketServlet may be accept before closing. | null | false | MEDIUM
| *camel.sink.endpoint.minVersion* | Can be used to set the minimum protocol version accepted for the websocketServlet. (Default 13 - the RFC6455 version) | "13" | false | MEDIUM
| *camel.sink.endpoint.synchronous* | Sets whether synchronous processing should be strictly used, or Camel is allowed to use asynchronous processing (if supported). | false | false | MEDIUM
| *camel.sink.endpoint.allowedOrigins* | The CORS allowed origins. Use to allow all. | null | false | MEDIUM
| *camel.sink.endpoint.crossOriginFilterOn* | Whether to enable CORS | false | false | MEDIUM
| *camel.sink.endpoint.filterPath* | Context path for filtering CORS | null | false | MEDIUM
| *camel.sink.endpoint.enableJmx* | If this option is true, Jetty JMX support will be enabled for this endpoint. See Jetty JMX support for more details. | false | false | MEDIUM
| *camel.sink.endpoint.sslContextParameters* | To configure security using SSLContextParameters | null | false | MEDIUM
| *camel.component.websocket.host* | The hostname. The default value is 0.0.0.0 | "0.0.0.0" | false | MEDIUM
| *camel.component.websocket.port* | The port number. The default value is 9292 | "9292" | false | MEDIUM
| *camel.component.websocket.lazyStartProducer* | Whether the producer should be started lazy (on the first message). By starting lazy you can use this to allow CamelContext and routes to startup in situations where a producer may otherwise fail during starting and cause the route to fail being started. By deferring this startup to be lazy then the startup failure can be handled during routing messages via Camel's routing error handlers. Beware that when the first message is processed then creating and starting the producer may take a little time and prolong the total processing time of the processing. | false | false | MEDIUM
| *camel.component.websocket.basicPropertyBinding* | Whether the component should use basic property binding (Camel 2.x) or the newer property binding with additional capabilities | false | false | LOW
| *camel.component.websocket.enableJmx* | If this option is true, Jetty JMX support will be enabled for this endpoint. See Jetty JMX support for more details. | false | false | MEDIUM
| *camel.component.websocket.maxThreads* | To set a value for maximum number of threads in server thread pool. MaxThreads/minThreads or threadPool fields are required due to switch to Jetty9. The default values for maxThreads is 1 2 noCores. | null | false | MEDIUM
| *camel.component.websocket.minThreads* | To set a value for minimum number of threads in server thread pool. MaxThreads/minThreads or threadPool fields are required due to switch to Jetty9. The default values for minThreads is 1. | null | false | MEDIUM
| *camel.component.websocket.threadPool* | To use a custom thread pool for the server. MaxThreads/minThreads or threadPool fields are required due to switch to Jetty9. | null | false | MEDIUM
| *camel.component.websocket.sslContextParameters* | To configure security using SSLContextParameters | null | false | MEDIUM
| *camel.component.websocket.sslKeyPassword* | The password for the keystore when using SSL. | null | false | MEDIUM
| *camel.component.websocket.sslKeystore* | The path to the keystore. | null | false | MEDIUM
| *camel.component.websocket.sslPassword* | The password when using SSL. | null | false | MEDIUM
| *camel.component.websocket.useGlobalSslContext Parameters* | Enable usage of global SSL context parameters. | false | false | MEDIUM
|===



The camel-websocket sink connector has no converters out of the box.





The camel-websocket sink connector has no transforms out of the box.





The camel-websocket sink connector has no aggregation strategies out of the box.
// kafka-connector options: END
